Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/3789/?format=api
{ "ob_id": 3789, "uuid": "41ee2e086a3d0473dc7f624cdde44bb8", "title": "RAPID: Precipitation, evaporation and run off model outputs from the RACMO2/GR model (1958-2008)", "abstract": "\"The Mass balance and freshwater contribution of the Greenland ice sheet: a combined modelling and observational approach\" project, which was a Natural Environment Research Council (NERC) RAPID Climate Change Research Programme project (Joint International Round - NE/C51631X/1 - Duration 1 Jun 2005 - 30 Nov 2008) led Prof Jonathan Bamber of the University of Bristol, with co-investigators at the Nansen Environmental & Remote Sensing Center, Norway, the Royal Netherlands Meteorology Institute and Dr MR van den Broeke, University of Utrecht, Netherlands. \r\n\r\nThe dataset quantifies how, where and when the Greenland ice sheet has fed fresh water through iceberg calving, subglacial melting and meltwater runoff into the surrounding ocean during the last half century.\r\n\r\nThis dataset contains precipitation, evaporation and run off model outputs.\r\n", "keywords": "RAPID, Climate change, precipitation, evaporation, run off", "publicationState": "published", "dataPublishedTime": "2014-09-21T18:00:04", "doiPublishedTime": null, "updateFrequency": "asNeeded", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/3790/?format=api", "dataPath": "/badc/rapid/data/VanDenBroeke_Rapid1_JointAO/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 668540535, "numberOfFiles": 162, "fileFormat": "Data are ASCII formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/5009/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data supplied by Dr MR van den Broeke, University of Utrecht, Netherlands.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/2532/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/19141/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/3788/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/18800/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/18798/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/18801/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/18802/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/18803/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/18804/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/72009/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/18799/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/72458/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/72010/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/19142/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }